Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class RCXLightSensor

    java.lang.Object
      lejos.nxt.RCXLightSensor

All Implemented Interfaces:
  SensorConstants

    public class RCXLightSensor

extends Object
implements SensorConstants

Abstraction for an RCX light sensor.

Field Summary

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`RCXLightSensor(lejos.nxt.LegacySensorPort port)` Create an RCX light sensor object attached to the specified port.

Method Summary
`void` | `activate()` Activates an RCX light sensor.
`void` | `passivate()` Passivates an RCX light sensor.
`int` | `readValue()` Read the current sensor value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### RCXLightSensor

    public RCXLightSensor(lejos.nxt.LegacySensorPort port)

  Create an RCX light sensor object attached to the specified port. The sensor will be activated, i.e. the LED will be turned on.

  Parameters:
    `port` - port, e.g. Port.S1

Method Detail

### activate

    public void activate()

  Activates an RCX light sensor. This method should be called if you want to get accurate values from an RCX sensor. In the case of RCX light sensors, you should see the LED go on when you call this method.

### passivate

    public void passivate()

  Passivates an RCX light sensor.

### readValue

    public int readValue()

  Read the current sensor value.

  Returns:
    Value as a percentage.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD